#!/bin/sh
echo 'name: xmonad-contrib
version: 0.10
id: xmonad-contrib-0.10-6ed68e958e4930cf12c4a23d4e9b987c

license: BSD3
copyright:
maintainer: spencerjanssen@gmail.com
stability:
homepage: http://xmonad.org/
package-url:
description: Third party tiling algorithms, configurations and scripts to xmonad,
             a tiling window manager for X.
             .
             For an introduction to building, configuring and using xmonad
             extensions, see "XMonad.Doc". In particular:
             .
             "XMonad.Doc.Configuring", a guide to configuring xmonad
             .
             "XMonad.Doc.Extending", using the contributed extensions library
             .
             "XMonad.Doc.Developing", introduction to xmonad internals and writing
             your own extensions.
category: System
author: Spencer Janssen
pkgpath: x11/hs-xmonad-contrib
exposed: True
exposed-modules: XMonad.Doc XMonad.Doc.Configuring
                 XMonad.Doc.Extending XMonad.Doc.Developing
                 XMonad.Actions.BluetileCommands XMonad.Actions.Commands
                 XMonad.Actions.ConstrainedResize XMonad.Actions.CopyWindow
                 XMonad.Actions.CycleRecentWS XMonad.Actions.CycleSelectedLayouts
                 XMonad.Actions.CycleWindows XMonad.Actions.CycleWS
                 XMonad.Actions.DeManage XMonad.Actions.DwmPromote
                 XMonad.Actions.DynamicWorkspaces
                 XMonad.Actions.DynamicWorkspaceGroups
                 XMonad.Actions.DynamicWorkspaceOrder
                 XMonad.Actions.FindEmptyWorkspace XMonad.Actions.FlexibleManipulate
                 XMonad.Actions.FlexibleResize XMonad.Actions.FloatKeys
                 XMonad.Actions.FloatSnap XMonad.Actions.FocusNth
                 XMonad.Actions.GridSelect XMonad.Actions.GroupNavigation
                 XMonad.Actions.MessageFeedback XMonad.Actions.MouseGestures
                 XMonad.Actions.MouseResize XMonad.Actions.NoBorders
                 XMonad.Actions.OnScreen XMonad.Actions.PerWorkspaceKeys
                 XMonad.Actions.PhysicalScreens XMonad.Actions.Plane
                 XMonad.Actions.Promote XMonad.Actions.RandomBackground
                 XMonad.Actions.KeyRemap XMonad.Actions.RotSlaves
                 XMonad.Actions.Search XMonad.Actions.SimpleDate
                 XMonad.Actions.SinkAll XMonad.Actions.SpawnOn XMonad.Actions.Submap
                 XMonad.Actions.SwapWorkspaces XMonad.Actions.TagWindows
                 XMonad.Actions.TopicSpace XMonad.Actions.UpdateFocus
                 XMonad.Actions.UpdatePointer XMonad.Actions.Warp
                 XMonad.Actions.WindowBringer XMonad.Actions.WindowGo
                 XMonad.Actions.WindowMenu XMonad.Actions.WindowNavigation
                 XMonad.Actions.WithAll XMonad.Actions.WorkspaceCursors
                 XMonad.Actions.WorkspaceNames XMonad.Config.Arossato
                 XMonad.Config.Azerty XMonad.Config.Bluetile XMonad.Config.Desktop
                 XMonad.Config.Droundy XMonad.Config.Gnome XMonad.Config.Kde
                 XMonad.Config.Sjanssen XMonad.Config.Xfce
                 XMonad.Hooks.CurrentWorkspaceOnTop XMonad.Hooks.DebugKeyEvents
                 XMonad.Hooks.DynamicHooks XMonad.Hooks.DynamicLog
                 XMonad.Hooks.EwmhDesktops XMonad.Hooks.FadeInactive
                 XMonad.Hooks.FadeWindows XMonad.Hooks.FloatNext
                 XMonad.Hooks.ICCCMFocus XMonad.Hooks.InsertPosition
                 XMonad.Hooks.ManageDocks XMonad.Hooks.ManageHelpers
                 XMonad.Hooks.Minimize XMonad.Hooks.Place
                 XMonad.Hooks.PositionStoreHooks XMonad.Hooks.RestoreMinimized
                 XMonad.Hooks.ScreenCorners XMonad.Hooks.Script
                 XMonad.Hooks.ServerMode XMonad.Hooks.SetWMName
                 XMonad.Hooks.ToggleHook XMonad.Hooks.UrgencyHook
                 XMonad.Hooks.WorkspaceByPos XMonad.Hooks.XPropManage
                 XMonad.Layout.Accordion XMonad.Layout.AutoMaster
                 XMonad.Layout.BorderResize XMonad.Layout.BoringWindows
                 XMonad.Layout.ButtonDecoration XMonad.Layout.CenteredMaster
                 XMonad.Layout.Circle XMonad.Layout.Column XMonad.Layout.Combo
                 XMonad.Layout.ComboP XMonad.Layout.Cross XMonad.Layout.Decoration
                 XMonad.Layout.DecorationAddons XMonad.Layout.DecorationMadness
                 XMonad.Layout.Dishes XMonad.Layout.DraggingVisualizer
                 XMonad.Layout.DragPane XMonad.Layout.Drawer XMonad.Layout.DwmStyle
                 XMonad.Layout.FixedColumn XMonad.Layout.Fullscreen
                 XMonad.Layout.Gaps XMonad.Layout.Grid XMonad.Layout.GridVariants
                 XMonad.Layout.Groups XMonad.Layout.Groups.Examples
                 XMonad.Layout.Groups.Helpers XMonad.Layout.Groups.Wmii
                 XMonad.Layout.HintedGrid XMonad.Layout.HintedTile XMonad.Layout.IM
                 XMonad.Layout.ImageButtonDecoration
                 XMonad.Layout.IndependentScreens XMonad.Layout.LayoutBuilder
                 XMonad.Layout.LayoutBuilderP XMonad.Layout.LayoutCombinators
                 XMonad.Layout.LayoutHints XMonad.Layout.LayoutModifier
                 XMonad.Layout.LayoutScreens XMonad.Layout.LimitWindows
                 XMonad.Layout.MagicFocus XMonad.Layout.Magnifier
                 XMonad.Layout.Master XMonad.Layout.Maximize
                 XMonad.Layout.MessageControl XMonad.Layout.Minimize
                 XMonad.Layout.Monitor XMonad.Layout.Mosaic XMonad.Layout.MosaicAlt
                 XMonad.Layout.MouseResizableTile XMonad.Layout.MultiColumns
                 XMonad.Layout.MultiToggle XMonad.Layout.MultiToggle.Instances
                 XMonad.Layout.Named XMonad.Layout.NoBorders
                 XMonad.Layout.NoFrillsDecoration XMonad.Layout.OneBig
                 XMonad.Layout.PerWorkspace XMonad.Layout.PositionStoreFloat
                 XMonad.Layout.Reflect XMonad.Layout.Renamed
                 XMonad.Layout.ResizableTile XMonad.Layout.ResizeScreen
                 XMonad.Layout.Roledex XMonad.Layout.ShowWName
                 XMonad.Layout.SimpleDecoration XMonad.Layout.SimpleFloat
                 XMonad.Layout.Simplest XMonad.Layout.SimplestFloat
                 XMonad.Layout.Spacing XMonad.Layout.Spiral XMonad.Layout.Square
                 XMonad.Layout.StackTile XMonad.Layout.SubLayouts
                 XMonad.Layout.TabBarDecoration XMonad.Layout.Tabbed
                 XMonad.Layout.ThreeColumns XMonad.Layout.ToggleLayouts
                 XMonad.Layout.TrackFloating XMonad.Layout.TwoPane
                 XMonad.Layout.WindowArranger XMonad.Layout.WindowNavigation
                 XMonad.Layout.WindowSwitcherDecoration XMonad.Layout.WorkspaceDir
                 XMonad.Layout.ZoomRow XMonad.Prompt XMonad.Prompt.AppendFile
                 XMonad.Prompt.AppLauncher XMonad.Prompt.Directory
                 XMonad.Prompt.DirExec XMonad.Prompt.Email XMonad.Prompt.Input
                 XMonad.Prompt.Layout XMonad.Prompt.Man XMonad.Prompt.RunOrRaise
                 XMonad.Prompt.Shell XMonad.Prompt.Ssh XMonad.Prompt.Theme
                 XMonad.Prompt.Window XMonad.Prompt.Workspace XMonad.Prompt.XMonad
                 XMonad.Util.Cursor XMonad.Util.CustomKeys XMonad.Util.Dmenu
                 XMonad.Util.Dzen XMonad.Util.ExtensibleState XMonad.Util.EZConfig
                 XMonad.Util.Font XMonad.Util.Image XMonad.Util.Invisible
                 XMonad.Util.Loggers XMonad.Util.NamedActions
                 XMonad.Util.NamedScratchpad XMonad.Util.NamedWindows
                 XMonad.Util.Paste XMonad.Util.PositionStore XMonad.Util.Replace
                 XMonad.Util.Run XMonad.Util.Scratchpad XMonad.Util.SpawnOnce
                 XMonad.Util.Stack XMonad.Util.StringProp XMonad.Util.Themes
                 XMonad.Util.Timer XMonad.Util.Types XMonad.Util.WindowProperties
                 XMonad.Util.WorkspaceCompare XMonad.Util.XSelection
                 XMonad.Util.XUtils
hidden-modules:
import-dirs: /usr/local/lib/ghc/xmonad-contrib-0.10
library-dirs: /usr/local/lib/ghc/xmonad-contrib-0.10
hs-libraries: HSxmonad-contrib-0.10
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: X11-1.6.0-9d7570556f61b7c5a0ba0e826c8edb0b
         X11-xft-0.3.1-3b83f64944e95c08d29b717a69e8a489
         base-4.3.1.0-ee15f259a627d341af7c80a17e8b0e66
         containers-0.4.0.0-f1307d32d8f4b51a1487c01f0997b6d9
         directory-1.1.0.0-ca04ddcf1c341deb4150c220bedd97c0
         extensible-exceptions-0.1.1.2-d8c5b906654260efd7249f497d17a831
         mtl-2.0.1.0-3e464329054b7660133198d73c31aca5
         old-locale-1.0.0.2-25ff1e5e0486bb3cf2cb85cb7daf8f22
         old-time-1.0.0.6-249d424df19da9487f0cb7da3ccb0868
         process-1.0.1.5-99e45a86cf1678266024ae9c30d1f778
         random-1.0.0.3-186815de972cb506efde02a72b0d8f8b
         unix-2.4.2.0-41b8af27cfe8b819176ab06a4cb79133
         utf8-string-0.3.6-131bec5ed6c825184d560515f17820d3
         xmonad-0.10-e3830e6f295e5d64a304a0814253ac0d
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-xmonad-contrib-0.10/html/xmonad-contrib.haddock
haddock-html: /usr/local/share/doc/hs-xmonad-contrib-0.10/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
